## ros-kinetic-aruco-ros 0.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(aruco_ros)

find_package(OpenCV REQUIRED)

find_package(catkin REQUIRED COMPONENTS
  cv_bridge
  dynamic_reconfigure
  geometry_msgs
  image_transport
  roscpp
  rospy
  tf
  aruco
  aruco_msgs
  sensor_msgs
  visualization_msgs
)

generate_dynamic_reconfigure_options(
  cfg/ArucoThreshold.cfg
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES aruco_ros_utils
  CATKIN_DEPENDS aruco sensor_msgs tf 
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${OpenCV_INCLUDE_DIRS}
)
add_library(aruco_ros_utils src/aruco_ros_utils.cpp)
target_link_libraries(aruco_ros_utils ${catkin_LIBRARIES})

add_executable(single src/simple_single.cpp
                      src/aruco_ros_utils.cpp)
add_dependencies(single ${PROJECT_NAME}_gencfg)
target_link_libraries(single ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

add_executable(double src/simple_double.cpp
                      src/aruco_ros_utils.cpp)
add_dependencies(double ${PROJECT_NAME}_gencfg)
target_link_libraries(double ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

add_executable(marker_publisher src/marker_publish.cpp
                                src/aruco_ros_utils.cpp)
add_dependencies(marker_publisher ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})
target_link_libraries(marker_publisher ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

#############
## Install ##
#############

install(TARGETS single double marker_publisher aruco_ros_utils
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/
   DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}
   FILES_MATCHING PATTERN "*.h"
)

foreach(dir etc launch)
    install(DIRECTORY ${dir}/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir})
endforeach(dir)

=== debian/changelog ===
ros-kinetic-aruco-ros (0.2.3-0xenial) xenial; urgency=high

  * Force marker_publisher to build after all dependencies.
  * Fixed OpenCV Calib3D link error on ROS Kinetic
  * Add aruco_ros_utils lib and fix some missing dependencies
  * Replace assert by error message to keep library functional
  * Contributors: Bence Magyar, Christopher Hrabia, Jordi Pages, Ugnius Malūkas, Victor Lopez, Voidminded, ethanfowler

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 19 Apr 2018 23:00:00 -0000

ros-kinetic-aruco-ros (0.2.2-0xenial) xenial; urgency=high

  * only look for aruco if someone is looking for them
  * Contributors: Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Jul 2017 23:00:00 -0000

ros-kinetic-aruco-ros (0.2.1-0xenial) xenial; urgency=high

  * Change default threshold to match defaults of aruco marker detector
  * Add dynamic reconfigure to simple_single
  * Contributors: Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Jul 2017 23:00:00 -0000

ros-kinetic-aruco-ros (0.2.0-0xenial) xenial; urgency=high

  * only proccesses images if there are subscribers
  * add rviz marker and add corner param
  * use double precision to improve accuracy
  * Contributors: Jordi Pages, Procópio Stein

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 18 Oct 2016 23:00:00 -0000

ros-kinetic-aruco-ros (0.1.0-0xenial) xenial; urgency=high

  * Update changelogs and maintainer email
  * Frame parameters only checked when using camera info
  * Add marker list publisher
  * Remove unused broadcaster
  * Only do 3d when there is camera info
  * Use waitForMessage for camerainfo
  * Remove nonsense assert
  * Reorganize and allow no camera_info
  * Fix crash when distortion vector is 0 long (usb_cam)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 09 Aug 2015 23:00:00 -0000

ros-kinetic-aruco-ros (0.0.1-0xenial) xenial; urgency=high

  * More accurate ROS timestamps (callback triggering time)
    This commit ensures that:
    - all published msgs in a callback have the same timestamp
    - the time is as close as possible to the frame grabbing time (as fast as the marker detection may be, the delay might affect TF interpolation in an unacceptable way for applications like visual servoing)
  * Install marker_publisher executable
    This target was missing in the installation rule
  * Finished some renaming
  * changes to finish branch merge
  * aruco_ros: Fixing superfluous (and broken) linker arg to -laruco
  * Reorganize aruco_ros into 3 packages
  * Contributors: Bence Magyar, Jordi Pages, Josh Langsfeld, ObiWan, Steve Vozar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 19 May 2015 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-aruco-ros
Section: misc
Priority: extra
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-aruco, ros-kinetic-aruco-msgs, ros-kinetic-catkin, ros-kinetic-cv-bridge, ros-kinetic-dynamic-reconfigure, ros-kinetic-geometry-msgs, ros-kinetic-image-transport, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-tf, ros-kinetic-visualization-msgs
Homepage: http://www.uco.es/investiga/grupos/ava/node/26
Standards-Version: 3.9.2

Package: ros-kinetic-aruco-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-aruco, ros-kinetic-aruco-msgs, ros-kinetic-cv-bridge, ros-kinetic-dynamic-reconfigure, ros-kinetic-geometry-msgs, ros-kinetic-image-transport, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-tf, ros-kinetic-visualization-msgs
Description: The ARUCO Library has been developed by the Ava group of the Univeristy of Cordoba(Spain).
 It provides real-time marker based 3D pose estimation using AR markers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-aruco-ros//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
